import i18n from "@/i18n";

export const MachineStatus = {
  "00": {
    label: "online",
    color: "#5cb85c",
  },
  "01": {
    label: "offline",
    color: "#a8a8a8"
  },
  "online": {
    label: "online",
    color: "#5cb85c",
    code: "00"
  },
  "offline": {
    label: "offline",
    color: "#a8a8a8",
    code: "01"
  }
}

export const NodeType = {
  desFile: {
    label: "desFile",
    color: "#5cb85c",
    code: 2
  }
}
export const PileHoleStatus = {
  DIC: {
    NotStated: {
      color: '#C1C1C1',
      name: i18n.t("screen.notStart")
    },
    InProcess: {
      color: '#FF5454',
      name: i18n.t("screen.inProcess")
    },
    Completed: {
      color: '#93D467',
      name: i18n.t("screen.completed")
    },
    Deviation: {
      color: '#F6E65C',
      name: i18n.t("screen.deviation")
    }
  },
  codeToStatus: function (code) {
    switch (code) {
      case "00":
        return this.DIC.Completed;
      case "01":
        return this.DIC.NotStated;
      case "02":
        return this.DIC.InProcess;
      case "03":
        return tthis.DIC.Deviation;
      default:
        return this.DIC.NotStated;
    }
  },
}
